
Foreman - Refactor #14318

Only load JS translation table for current locale

03/22/2016 11:49 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Performance   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3358

  

Description

As described in #12944 comments, the Javascript locale lookup tables from app/assets/javascripts/locale/ for gettext_i18n_rails_js

are large as they are loaded for all languages.

These could be loaded only for the locale that the page is rendered with, and the files could be precompiled separately.

Related issues:

Related to Foreman - Tracker #12944: application assets are too large New 12/27/2015

Associated revisions

Revision bf8c7fbd - 03/24/2016 04:07 AM - Dominic Cleal

fixes #14318 - load JS translations table for current locale only

History

#1 - 03/22/2016 11:49 AM - Dominic Cleal

- Related to Tracker #12944: application assets are too large added

#2 - 03/22/2016 12:03 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3358 added

#3 - 03/24/2016 05:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bf8c7fbdc56bbda5cbb6707728ff0fe735efa814.

#4 - 03/24/2016 08:06 AM - Dominic Cleal

- translation missing: en.field_release set to 136
